Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# CEC_TypedProxyPushConsumer.h File Reference

`#include "orbsvcs/CosTypedEventChannelAdminS.h"`
`#include "orbsvcs/ESF/ESF_Worker.h"`

Include dependency graph for CEC_TypedProxyPushConsumer.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | TAO_CEC_TypedProxyPushConsumer
class | TAO_CEC_TypedProxyPushConsumer_Guard
| A Guard for the TypedProxyPushConsumer reference count. More...

## Detailed Description

Author:
  Jon Astle (jon@astle45.fsnet.co.uk)

Based on the untyped version by Carlos O'Ryan (coryan@cs.wustl.edu)